﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.Framework
{
    public static  class Msg
    {
        public static DialogResult ShowError(string msg, MessageBoxButtons button= MessageBoxButtons.OK)
        {
            return MessageBox.Show(msg, "error", button, MessageBoxIcon.Error);
        }

        public static DialogResult ShowInfo(string msg, MessageBoxButtons button = MessageBoxButtons.OK)
        {
            return MessageBox.Show(msg, "info", button, MessageBoxIcon.Information);
        }

        public static DialogResult ShowQuestion(string msg, MessageBoxButtons button = MessageBoxButtons.OKCancel)
        {
            return MessageBox.Show(msg, "question", button, MessageBoxIcon.Question);
        }
    }
}
