﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rs.Motion.Base.Config
{
    public class CardConfig
    {
        public List<AxisConfig> AxisConfigs { get; set; } = new List<AxisConfig>();
        public CardConfig() { }

        public void Init(ushort cardid, uint axisCount,ushort startID=0)
        {
            AxisConfigs.Clear();
            for (ushort i = startID; i < axisCount+startID; i++)
            {
                AxisConfigs.Add(new AxisConfig() { CardId = cardid, AxisId = i ,AxisName=$"Name{i}"});
            }
        }
    }
}
