﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rs.MotionPlat
{
    public class ActiveForms
    {
        private static Dictionary<string, BaseForm> forms = new Dictionary<string, BaseForm>();

        public static void Add(BaseForm form)
        {
            if(!forms.ContainsKey(form.Name))
            {
                forms.Add(form.Name, form);
            }
        }

        public static BaseForm Get(string formName)
        {
            if (forms.ContainsKey(formName))
            {
                return forms[formName];
            }
            return null;
        }
    }
}
