﻿using Rs.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rs.MotionPlat.Commom
{
    public enum ETrayType
    {
        Empty1,
        Input,
        Ok,
        Ng,
        Multi,
        Empty2,
        Turnover
    }
    public class GlobalTray
    {
        public static RsTray Empty1Tray { get; set; }
        public static RsTray InputTray { get; set; }
        public static RsTray OkTary { get; set; }
        
        public static RsTray NgTray { get; set; }

        public static RsTray MultiTray { get; set; }
        public static RsTray Empty2Tray { get; set; }

        public static RsTray TurnoverTray { get; set; }

        public static RsTray GetTray(ETrayType trayType)
        {
            switch (trayType)
            {
                case ETrayType.Empty1:
                    return Empty1Tray;
                case ETrayType.Input:
                    return InputTray;
                case ETrayType.Ok:
                    return OkTary;
                case ETrayType.Ng:
                    return NgTray;
                case ETrayType.Multi:
                    return MultiTray;
                case ETrayType.Empty2:
                    return Empty2Tray;
                case ETrayType.Turnover:
                    return TurnoverTray;
            }
            return null;
        }
    }
}
