﻿using Rs.Controls;
using Rs.Motion;
using Rs.Motion.Base;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.MotionPlat.SysConfig
{
    public partial class RenameIO : BaseFormHeader
    {
        private IOStatus m_ioStatus;
        public RenameIO(IOStatus ioStatus)
        {
            InitializeComponent();
            m_ioStatus = ioStatus;
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            m_ioStatus.Text = txtIoName.Text;
            IIO io = (IIO)m_ioStatus.Tag;
            io.Name = txtIoName.Text;
            io.Card.Save();
            IoManager.Instance.Add(io.Name, io);
            this.Close();
        }

        private void RenameIO_Load(object sender, EventArgs e)
        {
            txtIoName.Text = m_ioStatus.Text;
        }
    }
}
