﻿using Rs.Controls;
using Rs.Framework;
using Rs.MotionPlat.Commom;
using Rs.MotionPlat.Flow;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.MotionPlat.SysConfig
{
    public partial class StartPosConfig : BaseForm
    {
        public StartPosConfig()
        {
            InitializeComponent();
        }

        private void StartPosConfig_Load(object sender, EventArgs e)
        {
            PositionHelper.BindPosition(groupBox1);
            PositionHelper.BindPosition(groupBox2);
            PositionHelper.BindPosition(groupBox3);
        }

        private void Teach_Click(object sender, EventArgs e)
        {
            PositionHelper.Teach(this, sender);
        }

        private void Move_Click(object sender, EventArgs e)
        {
            PositionHelper.Move2This(this, sender);
        }

        private void Stop_Click(object sender, MouseEventArgs e)
        {
            PositionHelper.Stop(sender);
        }


        string nozz = "NozzleR3";
        private void button9_Click(object sender, EventArgs e)
        {
            bool b = Ops.IsHomedAndNearStartPos(nozz);
            Msg.ShowInfo(b.ToString());
        }

        public void txtSysParam_KeyUp(object sender, KeyEventArgs e)
        {
            UpdateSysParam((TextBox)sender);
        }

        private void button10_Click(object sender, EventArgs e)
        {
            Ops.HomeAndGoStartPos(nozz);
        }
    }
}
