﻿using Rs.Controls;
using Rs.Framework;
using Rs.MotionPlat.Commom;
using Rs.MotionPlat.Flow;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.MotionPlat.SysConfig
{
    public partial class StockConfig : BaseForm
    {
        public StockConfig()
        {
            InitializeComponent();
        }

        private void StockConfig_Load(object sender, EventArgs e)
        {
            foreach (Control item in panelEx3.Controls)
            {
                PositionHelper.BindPosition(item);
            }
            FormIO2 formIO = new FormIO2("料仓");
            formIO.Dock = DockStyle.Fill;
            formIO.Visible = true;
            formIO.TopLevel = false;
            panelEx2.Controls.Add(formIO);
        }


        private void Teach_Click(object sender, EventArgs e)
        {
            PositionHelper.Teach(this, sender);
        }

        private void Move_Click(object sender, EventArgs e)
        {
            PositionHelper.Move2This(this, sender);
        }

        private void Stop_Click(object sender, MouseEventArgs e)
        {
            PositionHelper.Stop(sender);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            for(int i=1;i<7;i++)
            {
                Ops.On($"{i}号料仓托盘气缸");
            }
        }

        private void button8_Click(object sender, EventArgs e)
        {
            for (int i = 1; i < 7; i++)
            {
                Ops.Off($"{i}号料仓托盘气缸");
            }
        }

        private void button9_Click(object sender, EventArgs e)
        {
            for (int i = 1; i < 7; i++)
            {
                Ops.On($"{i}号料仓斜推气缸");
            }
        }

        private void button10_Click(object sender, EventArgs e)
        {
            for (int i = 1; i < 7; i++)
            {
                Ops.Off($"{i}号料仓斜推气缸");
            }
        }
        public void txtSysParam_KeyUp(object sender, KeyEventArgs e)
        {
            UpdateSysParam((TextBox)sender);
        }
    }
}
