﻿using Rs.Controls;
using Rs.Framework;
using Rs.MotionPlat.Commom;
using Rs.MotionPlat.Flow;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.MotionPlat.SysConfig
{
    public partial class TurnoverConfig : BaseForm
    {
        public TurnoverConfig()
        {
            InitializeComponent();
        }

        private void Teach_Click(object sender, EventArgs e)
        {
            PositionHelper.Teach(this, sender);
        }

        private void Move_Click(object sender, EventArgs e)
        {
            PositionHelper.Move2This(this, sender);
        }

        private void Stop_Click(object sender, MouseEventArgs e)
        {
            PositionHelper.Stop(sender);
        }

        private void TurnoverConfig_Load(object sender, EventArgs e)
        {
            PositionHelper.BindPosition(groupBox5);
            PositionHelper.BindPosition(groupBox2);
            PositionHelper.BindPosition(groupBox3,"int");
            FormIO2 formIO = new FormIO2("周转");
            formIO.Dock = DockStyle.Fill;
            formIO.Visible = true;
            formIO.TopLevel = false;
            panelEx2.Controls.Add(formIO);

        }


        public void txtSysParam_KeyUp(object sender, KeyEventArgs e)
        {
            UpdateSysParam((TextBox)sender);
        }
    }
}
