﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rs.Motion.Base.Config
{
    public class LeisaiPropertyDescriptionAttribute: BasePropertyDescriptionAttribute
    {
        public LeisaiPropertyDescriptionAttribute(string description) : base(description)
        {

        }
    }

    public class ZTMPropertyDescriptionAttribute : BasePropertyDescriptionAttribute
    {

        public ZTMPropertyDescriptionAttribute(string description):base(description)
        {
           
        }
    }

    public class GugaoPropertyDescriptionAttribute : BasePropertyDescriptionAttribute
    {
        public GugaoPropertyDescriptionAttribute(string description) : base(description)
        {

        }
    }

    public class CommonPropertyDescriptionAttribute : BasePropertyDescriptionAttribute
    {
       public CommonPropertyDescriptionAttribute(string description):base(description)
        {

        }
    }

    public class BasePropertyDescriptionAttribute : Attribute
    {
        public string Description { get; set; }

        public BasePropertyDescriptionAttribute(string description)
        {
            this.Description = description;
        }
    }
}
