﻿using Rs.Framework;
using Rs.Motion.Ztm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace Rs.Motion.Base
{
    public class IIOCard
    {
        [XmlElement]
        public List<IIO> DIn { get; set; } = new List<IIO>();
        [XmlElement]
        public List<IIO> DOut { get; set; } = new List<IIO>();

        public ushort CardID { get; set; } = 0;

        public string Name { get; set; } = "本地IO";
        /// <summary>
        /// 厂家
        /// </summary>
        public string Vender { get; set; } = "GugaoPulse";

        /// <summary>
        /// 是否采用EtherCat通信
        /// </summary>
        public bool IsEtherCat { get; set; } = true;

        public virtual void Init(short cardID,ushort inCount, ushort outCount, ushort slaveNo)
        {

        }

        public virtual void Save()
        {
           
        }
    }
}
