﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rs.Motion
{
    /// <summary>
    /// 回原状态
    /// </summary>
    public enum EHomeStatus
    {
        /// <summary>
        /// 未开始
        /// </summary>
        NotStart,
        /// <summary>
        /// 开始回原
        /// </summary>
        Start,
        /// <summary>
        /// 回原中
        /// </summary>
        Homing,
        /// <summary>
        /// 回原完成
        /// </summary>
        Finished,
        /// <summary>
        /// 回原失败
        /// </summary>
        Fail,
        /// <summary>
        /// 回原终止
        /// </summary>
        Abort
    }
}
