﻿using Rs.Controls;
using Rs.Framework;
using Rs.MotionPlat.Commom;
using Rs.MotionPlat.Flow;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.MotionPlat.SysConfig
{
    public partial class PressConfig : BaseForm
    {
        public PressConfig()
        {
            InitializeComponent();
        }

        private void Teach_Click(object sender, EventArgs e)
        {
            PositionHelper.Teach(this, sender);
        }

        private void Move_Click(object sender, EventArgs e)
        {
           PositionHelper.Move2This(this, sender);
        }

        private void Stop_Click(object sender, MouseEventArgs e)
        {
            PositionHelper.Stop(sender);
        }

        private void PressConfig_Load(object sender, EventArgs e)
        {
            PositionHelper.BindPosition(groupBox1);
            PositionHelper.BindPosition(groupBox3, "int");
            FormIO2 formIO = new FormIO2("测试");
            formIO.Dock = DockStyle.Fill;
            formIO.Visible = true;
            formIO.TopLevel = false;
            panelEx2.Controls.Add(formIO);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            for(int i=1;i<=16;i++)
            {
                Ops.On($"测试{i}号穴位真空吸");
            }
        }

        private void button8_Click(object sender, EventArgs e)
        {
            for (int i = 1; i <= 16; i++)
            {
                Ops.Off($"测试{i}号穴位真空吸");
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            for (int i = 1; i <= 16; i++)
            {
                Ops.On($"测试{i}号穴位真空破");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            for (int i = 1; i <= 16; i++)
            {
                Ops.Off($"测试{i}号穴位真空破");
            }
        }

        public void txtSysParam_KeyUp(object sender, KeyEventArgs e)
        {
            UpdateSysParam((TextBox)sender);
        }
    }
}
