﻿using Rs.Controls;
using Rs.MotionPlat.Commom;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rs.MotionPlat.SysConfig
{
    public partial class QifuConfig : BaseForm
    {
        public QifuConfig()
        {
            InitializeComponent();
        }

        private void buttonEx1_Click(object sender, EventArgs e)
        {
            QifuManager.Instance.Write(0.1f);
            QifuManager.Instance.Read();
        }

        private void QifuConfig_Load(object sender, EventArgs e)
        {
            QifuManager.Instance.Init();
            txtQifuValue.Text = SysConfigParam.GetValue<string>(txtQifuValue.Name.Replace("txt", ""));
        }

        private void txtQifuValue_KeyUp(object sender, KeyEventArgs e)
        {
            if(e.KeyCode == Keys.Enter)
            {
                TextBox txt=(TextBox)sender;
                string value=txt.Text;
                QifuManager.Instance.Write(float.Parse(value));
                SysConfigParam.Update(txt.Name.Replace("txt", ""), value);
            }
        }
    }
}
